D-Bus 1.13.18

Data Fields
DBusMemPool Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

Internals fields of DBusMemPool. More...

## Data Fields
int | element_size
| size of a single object in the pool
int | block_size
| size of most recently allocated block
unsigned int | zero_elements: 1
| whether to zero-init allocated elements
DBusFreedElement * | free_elements
| a free list of elements to recycle
DBusMemBlock * | blocks
| blocks of memory from malloc()
int | allocated_elements
| Count of outstanding allocated elements.

## Detailed Description

Internals fields of DBusMemPool.

Definition at line 100 of file dbus-mempool.c.

The documentation for this struct was generated from the following file:

- dbus-mempool.c